noinst_LTLIBRARIES = libbmpaudio.la

libbmpaudio_la_LIBADD = -lgstinterfaces-0.10

libbmpaudio_la_CFLAGS = \
	$(GLIB_CFLAGS) $(GST_CFLAGS) -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src

libbmpaudio_la_CXXFLAGS = \
	$(GLIBMM_CFLAGS) $(GTKMM_CFLAGS) $(GLADEMM_CFLAGS) $(GST_CFLAGS) -I$(top_srcdir) -I$(top_srcdir)/include -I$(top_srcdir)/src

libbmpaudio_la_SOURCES =  	\
		audio.cc								\
		audio.hh								\
		audio-typefind.hh				\
		audio-types.hh					\
		play.cc									\
		play.hh									\
		messages.hh \
		video-playback.cc				\
		video-playback.hh				\
														\
		audio-exception.hh

